Bug 221057 - BUG: workqueue leaked lock or atomic
BUG: workqueue leaked lock or atomic
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-31 12:50 EST by Tom London
Modified: 2008-03-12 17:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 17:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-12-31 12:50:06 EST
Description of problem:
Got this on bootup:

Dec 31 09:38:39 localhost kernel: BUG: workqueue leaked lock or atomic:
kondemand/1/0x00000000/1612
Dec 31 09:38:39 localhost kernel:     last function: do_dbs_timer+0x0/0x201
[cpufreq_ondemand]
Dec 31 09:38:39 localhost kernel: 1 lock held by kondemand/1/1612:
Dec 31 09:38:39 localhost kernel:  #0:  (cpu_bitmask_lock){--..}, at:
[<c05faa51>] mutex_lock+0x21/0x24
Dec 31 09:38:39 localhost kernel:  [<c04051c1>] show_trace_log_lvl+0x1a/0x2f
Dec 31 09:38:39 localhost kernel:  [<c0405766>] show_trace+0x12/0x14
Dec 31 09:38:39 localhost kernel:  [<c04057ea>] dump_stack+0x16/0x18
Dec 31 09:38:39 localhost kernel:  [<c0436874>] run_workqueue+0xfe/0x145
Dec 31 09:38:39 localhost kernel:  [<c04371e7>] worker_thread+0xf8/0x124
Dec 31 09:38:39 localhost kernel:  [<c04399af>] kthread+0xb3/0xdc
Dec 31 09:38:39 localhost kernel:  [<c0404cab>] kernel_thread_helper+0x7/0x10
Dec 31 09:38:39 localhost kernel:  =======================

This repeated endlessly.  Had to power cycle.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2891.fc7

How reproducible:
Intermittent

Steps to Reproduce:
1. boot?
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2007-01-30 18:56:41 EST
Got this again.... an endless number of these.....
[root@localhost ~]# grep BUG: /var/log/messages | wc
1021050 12252736 102105154
[root@localhost ~]# 



Jan 30 08:48:22 localhost kernel: BUG: workqueue leaked lock or atomic:
kondemand/1/0x00000000/1869
Jan 30 08:48:22 localhost kernel:     last function: do_dbs_timer+0x0/0x201
[cpufreq_ondemand]
Jan 30 08:48:22 localhost kernel: 1 lock held by kondemand/1/1869:
Jan 30 08:48:22 localhost kernel:  #0:  (&q->lock){++..}, at: [<c0438b78>]
remove_wait_queue+0xf/0x27
Jan 30 08:48:22 localhost kernel:  [<c04051c9>] show_trace_log_lvl+0x1a/0x2f
Jan 30 08:48:22 localhost kernel:  [<c040576e>] show_trace+0x12/0x14
Jan 30 08:48:22 localhost kernel:  [<c04057e9>] dump_stack+0x16/0x18
Jan 30 08:48:22 localhost kernel:  [<c043578c>] run_workqueue+0xfe/0x145
Jan 30 08:48:22 localhost kernel:  [<c04360fc>] worker_thread+0xf8/0x124
Jan 30 08:48:22 localhost kernel:  [<c04388ef>] kthread+0xb3/0xdc
Jan 30 08:48:22 localhost kernel:  [<c0404cb3>] kernel_thread_helper+0x7/0x10
Jan 30 08:48:22 localhost kernel:  =======================
Jan 30 08:48:22 localhost kernel: BUG: workqueue leaked lock or atomic:
kondemand/1/0x00000000/1869
Jan 30 08:48:22 localhost kernel:     last function: do_dbs_timer+0x0/0x201
[cpufreq_ondemand]
Jan 30 08:48:22 localhost kernel: 1 lock held by kondemand/1/1869:
Jan 30 08:48:22 localhost kernel:  #0:  (&q->lock){++..}, at: [<c0438b78>]
remove_wait_queue+0xf/0x27
Jan 30 08:48:22 localhost kernel:  [<c04051c9>] show_trace_log_lvl+0x1a/0x2f
Jan 30 08:48:22 localhost kernel:  [<c040576e>] show_trace+0x12/0x14
Jan 30 08:48:22 localhost kernel:  [<c04057e9>] dump_stack+0x16/0x18
Jan 30 08:48:22 localhost kernel:  [<c043578c>] run_workqueue+0xfe/0x145
Jan 30 08:48:22 localhost kernel:  [<c04360fc>] worker_thread+0xf8/0x124
Jan 30 08:48:22 localhost kernel:  [<c04388ef>] kthread+0xb3/0xdc
Jan 30 08:48:22 localhost kernel:  [<c0404cb3>] kernel_thread_helper+0x7/0x10
Jan 30 08:48:22 localhost kernel:  =======================
Comment 2 Tom London 2007-01-30 18:58:56 EST
(In reply to comment #1)

Sorry, this was with kernel-PAE-2.6.19-1.2914.fc7
Comment 3 Tom London 2007-05-18 09:37:10 EDT
Haven't seen this in quite some time....

Close?

Note You need to log in before you can comment on or make changes to this bug.